<layout-profile-info-card [isLoading]="isLoadingOffer$ | async">
  <div class="offer-info" *ngIf="offer$ | async as offer">
    <div class="offer-info__details">
      <img
        class="icon"
        src="app/presentation/assets/img/icons/briefcase.svg"
        alt="offer"
      />
      <div class="details">
        <div>
          <h2 class="details__offer-name">{{ offer?.name }}</h2>
          <p class="details__id">
            {{ "PRODUCT_CATALOGUE.OFFER_PROFILE.INFO.OFFER_ID" | translate }}
            {{ offer?.reference }}
          </p>
        </div>
        <div>
          <div class="details__cards">
            <div class="card" [ngClass]="offer?.status">
              <i
                class="uil"
                [ngClass]="OFFER_STATUS_ICONS[offer?.status.toUpperCase()]"
              ></i>
              <span>
                {{ offer?.status }}
              </span>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="offer-info__dates">
      <p class="item">
        <span class="item__title"
          ><b
            >{{ "PRODUCT_CATALOGUE.OFFER_PROFILE.INFO.CREATED_AT" | translate }}
          </b></span
        >
        <span class="item__description">{{ offer?.created_at | MODate }}</span>
      </p>
      <p class="item">
        <span class="item__title"
          ><b
            >{{ "PRODUCT_CATALOGUE.OFFER_PROFILE.INFO.UPDATED_AT" | translate }}
          </b></span
        >
        <span class="item__description">{{ offer?.updated_at | MODate }}</span>
      </p>
    </div>
  </div>
</layout-profile-info-card>
